Summary:	Adobe 75dpi bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe Adobe 75dpi
Name:		xorg-font-font-adobe-75dpi
Version:	1.0.4
Release:	1%{?tld}
License:	MIT
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-adobe-75dpi-%{version}.tar.xz
# Source0-md5:	2dc044f693ee8e0836f718c2699628b9
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.4
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/75dpi
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Adobe 75dpi bitmap fonts: Courier, Helvetica, New Century Schoolbook,
Symbol and Times.

This package includes Unicode fonts as well as in ISO-8859-1,
ISO-8859-2, ISO-8859-3, ISO-8859-4, ISO-8859-9, ISO-8859-10,
ISO-8859-13, ISO-8859-14 and ISO-8859-15 encodings.

%description -l pl.UTF-8
Fonty bitmapowe Adobe 75dpi: Courier, Helvetica, New Century
Schoolbook, Symbol i Times.

Ten pakiet zawiera fonty unikodowe, a także w kodowaniach ISO-8859-1,
ISO-8859-2, ISO-8859-3, ISO-8859-4, ISO-8859-9, ISO-8859-10,
ISO-8859-13, ISO-8859-14 i ISO-8859-15.

%prep
%setup -q -n font-adobe-75dpi-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/75dpi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst 75dpi

%postun
fontpostinst 75dpi

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/75dpi/cour*.pcf.gz
%{_fontsdir}/75dpi/helv*.pcf.gz
%{_fontsdir}/75dpi/ncen*.pcf.gz
%{_fontsdir}/75dpi/symb*.pcf.gz
%{_fontsdir}/75dpi/tim*.pcf.gz
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-font-font-adobe-75dpi.git;a=log;h=master

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 1ae7f5c
- x32/noarch fix

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 5260590
- updated to 1.0.4

* Sun Nov 07 2021 Jan Rękorajski <baggins@pld-linux.org> b233c9d
- Release 3 (by relup.sh)

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 562bb4b
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 917a098
- dropped pre-cvs changelog

* Mon Nov 15 2010 Jakub Bogusz <qboosh@pld-linux.org> f101f56
- updated to 1.0.3

* Tue Oct 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 57b0288
- updated to 1.0.2

* Fri Oct 16 2009 Jakub Bogusz <qboosh@pld-linux.org> ae77773
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 93e3fd0
- up to 1.0.1

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 4c93d01
- BA: noarch
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 3b1ec6b
- informative descs
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d202dcf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 67a6796
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 3c8dd01
- 1.0.0 (X11R7.0 release)

* Mon Dec 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 748f367
- 0.99.2 (X11R7.0-RC3)
- use system fontsdir and fontpostinst

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 1ed7cc8
- pkgconfig epoch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 4b2c22f
- cleanups, better Group; TODO: use PLD fonts infrastructure

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 776467b
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> b6c2a84
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

